Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# de2DCollection Class Reference

`#include <de2D_priv.hpp>`

Inheritance diagram for de2DCollection:

[legend]
Collaboration diagram for de2DCollection:

[legend]
List of all members.

## Public Member Functions
| de2DCollection ()
void | SetParent (Ide2DCollection *ParentCollection)
const deRect & | GetRect () const
| Get the rect used for clipping objects.
void | SetRect (deRect &rect)
| Set the rect used for clipping objects.
void | SetBGColor (deARGB color)
| Set the background color for this collection. You may specify alpha (0xff = opaque).
deARGB | GetBGColor ()
| Get the background color for this collection.
void | SetEnabled (deBoolean Enable)
deBoolean | IsEnabled () const
| Get the rendering-enabled status of the collection.
void | GetScrollValue (deVec3d &scroll) const
| Get the X & Y scroll offsets currently being used for this collection.
void | SetScrollValue (const deVec3d &scroll)
| Set the X & Y scroll offsets for this collection.
deBoolean | AddObject (Ide2DObject *object)
deBoolean | RemoveObject (Ide2DObject *object)
deBoolean | AdjustObjectDepth (Ide2DObject *object, deFloat Depth)
deBoolean | AddSubCollection (Ide2DCollection *collection)
deBoolean | RemoveSubCollection (Ide2DCollection *collection)
deFloat | GetDepth () const
deBoolean | SetDepth (deFloat Depth)
deBoolean | Render (IdeDriver *Driver, deDouble DeltaTime, IdeRenderTexture *NullTex, IdeRender::deRenderStats *RenderStats, deBoolean DoOcclusion)
void | DestroyAllObjects (deBoolean SubCollectionsAlso)
## Static Public Attributes
IdeVertexBuffer * | s_CompositeFor2D = NULL
## Protected Member Functions
virtual | ~de2DCollection ()
## Private Member Functions
deBoolean | AddItem (const de2DObjectUnion &NewItem)
deBoolean | Set2DViewport (short FullWidth, short FullHeight, const deRect &SubRect, IdeDriver *pDriver)
deBoolean | FillBGColor (IdeDriver *pDriver, const deRect &Rect, const deVec3d &Scroll, deARGB BGColor, IdeRenderTexture *&PrevTexture)
## Private Attributes
deTList< de2DObjectUnion > | m_ChildList
deRect | m_ClipRect
deVec3d | m_Scroll
Ide2DCollection * | m_pParent
deFloat | m_Depth
deARGB | m_BGColor
deBoolean | m_Enabled
## Static Private Attributes
long | s_NumCollections = 0
IdeVertexBuffer * | s_BackdropQuad = NULL
IdeRenderTexture * | s_BackdropTexture = NULL

## Constructor & Destructor Documentation

de2DCollection::~de2DCollection | ( |  | ) | `[protected, virtual]`

de2DCollection::de2DCollection | ( |  | ) |

## Member Function Documentation

deBoolean de2DCollection::AddItem | ( | const de2DObjectUnion & | NewItem | ) | `[private]`

deBoolean de2DCollection::AddObject | ( | Ide2DObject * | object | ) | `[virtual]`

| Add a 2D object to this collection, so it may be rendered. This method invokes object->Claim() to increment the object's reference count. Implements Ide2DCollection.

deBoolean de2DCollection::AddSubCollection | ( | Ide2DCollection * | collection | ) | `[virtual]`

| Add a subordinate 2D collection to this one, so that its contents be rendered inside the extents of this one. This method invokes collection->Claim(). Implements Ide2DCollection.

deBoolean de2DCollection::AdjustObjectDepth | ( | Ide2DObject * | object,
|  | deFloat | Depth
| ) | `[virtual]`

| Adjust the depth value of a 2D object. This method invokes object->SetDepth(Depth). Implements Ide2DCollection.

void de2DCollection::DestroyAllObjects | ( | deBoolean | SubCollectionsAlso | ) | `[virtual]`

| Destroy all the objects, and optionally all the sub-collections, contained by this collection. All destroyed sub-collections will also destroy their own sub-collections. Implements Ide2DCollection.

deBoolean de2DCollection::FillBGColor | ( | IdeDriver * | pDriver,
|  | const deRect & | Rect,
|  | const deVec3d & | Scroll,
|  | deARGB | BGColor,
|  | IdeRenderTexture *& | PrevTexture
| ) | `[private]`

deARGB de2DCollection::GetBGColor | ( |  | ) | `[virtual]`

| Get the background color for this collection. Implements Ide2DCollection.

deFloat de2DCollection::GetDepth | ( |  | ) | const`[virtual]`

| Get the depth value used for sorting this collection into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. Implements Ide2DCollection.

const deRect & de2DCollection::GetRect | ( |  | ) | const`[virtual]`

| Get the rect used for clipping objects. Implements Ide2DCollection.

void de2DCollection::GetScrollValue | ( | deVec3d & | scroll | ) | const`[virtual]`

| Get the X & Y scroll offsets currently being used for this collection. Implements Ide2DCollection.

deBoolean de2DCollection::IsEnabled | ( |  | ) | const`[virtual]`

| Get the rendering-enabled status of the collection. Implements Ide2DCollection.

deBoolean de2DCollection::RemoveObject | ( | Ide2DObject * | object | ) | `[virtual]`

| Remove a 2D object from this collection. This method invokes object->Release() to decrement the object's reference count, possibly causing destruction. Implements Ide2DCollection.

deBoolean de2DCollection::RemoveSubCollection | ( | Ide2DCollection * | collection | ) | `[virtual]`

| Remove a subordinate 2D collection. This method invokes collection->Release(). Implements Ide2DCollection.

deBoolean de2DCollection::Render | ( | IdeDriver * | Driver,
|  | deDouble | DeltaTime,
|  | IdeRenderTexture * | NullTex,
|  | IdeRender::deRenderStats * | RenderStats,
|  | deBoolean | DoOcclusion
| ) | `[virtual]`

| Render all the objects and sub-collections contained by this collection. It is recommended that a user not call this explicitly, instead letting IdeRender handle this task. IdeRender::EndFrame invokes Ide2DCollection::Render for its attached 2d collection. Implements Ide2DCollection.

deBoolean de2DCollection::Set2DViewport | ( | short | FullWidth,
|  | short | FullHeight,
|  | const deRect & | SubRect,
|  | IdeDriver * | pDriver
| ) | `[private]`

void de2DCollection::SetBGColor | ( | deARGB | color | ) | `[virtual]`

| Set the background color for this collection. You may specify alpha (0xff = opaque). Implements Ide2DCollection.

deBoolean de2DCollection::SetDepth | ( | deFloat | Depth | ) | `[virtual]`

| Set the depth value used for sorting this collection into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. This method, unlike Ide2DObject::SetDepth, will adjust the rendering order of this collection. Implements Ide2DCollection.

void de2DCollection::SetEnabled | ( | deBoolean | Enable | ) | `[virtual]`

| Enable or disable a collection from rendering. Can be used in windowing systems to "minimize" the collection. Implements Ide2DCollection.

void de2DCollection::SetParent | ( | Ide2DCollection * | ParentCollection | ) | `[virtual]`

| Implements Ide2DCollection.

void de2DCollection::SetRect | ( | deRect & | rect | ) | `[virtual]`

| Set the rect used for clipping objects. Implements Ide2DCollection.

void de2DCollection::SetScrollValue | ( | const deVec3d & | scroll | ) | `[virtual]`

| Set the X & Y scroll offsets for this collection. Implements Ide2DCollection.

## Member Data Documentation

deARGB de2DCollection::m_BGColor`[private]`

deTList< de2DObjectUnion > de2DCollection::m_ChildList`[private]`

deRect de2DCollection::m_ClipRect`[private]`

deFloat de2DCollection::m_Depth`[private]`

deBoolean de2DCollection::m_Enabled`[private]`

Ide2DCollection* de2DCollection::m_pParent`[private]`

deVec3d de2DCollection::m_Scroll`[private]`

IdeVertexBuffer * de2DCollection::s_BackdropQuad = NULL`[static, private]`

IdeRenderTexture * de2DCollection::s_BackdropTexture = NULL`[static, private]`

IdeVertexBuffer * de2DCollection::s_CompositeFor2D = NULL`[static]`

long de2DCollection::s_NumCollections = 0`[static, private]`

The documentation for this class was generated from the following files:

- de2D_priv.hpp
- de2D.cpp